# DataExchange
TKSTEPBase
RWStepBasic

# RWStepBasic_RWPersonAndOrganizationRole Class Reference

Read & Write Module for PersonAndOrganizationRole
.

`#include <RWStepBasic_RWPersonAndOrganizationRole.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | RWStepBasic_RWPersonAndOrganizationRole ()
Standard_EXPORT void | ReadStep (const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(StepBasic_PersonAndOrganizationRole)&ent) const
Standard_EXPORT void | WriteStep (StepData_StepWriter &SW, const Handle(StepBasic_PersonAndOrganizationRole)&ent) const

## Constructor & Destructor Documentation

Standard_EXPORT RWStepBasic_RWPersonAndOrganizationRole::RWStepBasic_RWPersonAndOrganizationRole | ( |  | ) |

## Member Function Documentation

void RWStepBasic_RWPersonAndOrganizationRole::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStepBasic_RWPersonAndOrganizationRole::operator new | ( | size_t | size | ) | `[inline]`

void* RWStepBasic_RWPersonAndOrganizationRole::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void RWStepBasic_RWPersonAndOrganizationRole::ReadStep | ( | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(StepBasic_PersonAndOrganizationRole)& | ent
| ) | const

Standard_EXPORT void RWStepBasic_RWPersonAndOrganizationRole::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle(StepBasic_PersonAndOrganizationRole)& | ent
| ) | const

The documentation for this class was generated from the following file:

- RWStepBasic_RWPersonAndOrganizationRole.hxx